Page 1 of 2 12 LastLast
Results 1 to 20 of 28
Like Tree1Likes
  1.    #1  
    Some of you (students mostly) may be aware of the touchpad's issues with downloading from secure websites. We had an awesome patch for 3.0.2, but sadly 3.0.4 made changes to some of the browser files and this patch no longer functions. We had a dev swing by the old thread and try his luck at a new patch,but unfortunately it is not working for most of us. I'm basically making this thread to try and get the issue some attention, since it has been buried in the other thread. :-)

    For devs the original 3.0.2 patch is here http://forums.precentral.net/webos-p...ml#post3146709

    attempted (but non-functional) 3.0.4 patch is here http://forums.precentral.net/webos-p...ml#post3220339

    Any assistance would be greatly appreciated.
  2. #2  
    thanks aredon!
    was it also possible with the old patch to download files from one-click-hoster? this would also be a major improvement to the surf experience!
  3. #3  
    I would also like to express my support for an update to this patch. I am a student and improving my productivity was an important reason I purchased the TP. I would be willing to contribute $5 to the developer. I hope other students will do the same. Thanks, and good luck to any devs!
  4.    #4  
    I'm not familiar with that term? What is a one-click-hoster?
  5. #5  
    I'm also willing to donate to be able to download files from Blackboard.
    Thanks
  6. #6  
    You may consider doctoring your TP and then applying the patch. It helped me.
  7.    #7  
    Quote Originally Posted by artemonster View Post
    You may consider doctoring your TP and then applying the patch. It helped me.
    if you followed the previous thread, I doctored already, the new patch simply isn't working for 3.0.4 for most secure download locations.

    are you saying that the new patch works for you in 3.0.4? What do you mean by "helped me"?
  8. #8  
    I can download from my learning portal right now. Mine uses basic auth.
  9.    #9  
    You sir, didn't answer my question. Are you running 3.0.4?

    I'll attach a pdf to this post later, you will download it and open it on your touchpad, and then you will upload a screen capture as evidence of function. To be specific, upload a screenshot of both the completed download window (in the browser) the one that says "open". Then upload a screenshot of you with the file open, because if you can't download from precentral, then you don't have a working patch.

    Behavior was no different after a fresh doctor, and the burden lies with you to prove otherwise. If you do manage to prove that you have a working patch for 3.0.4 we can look into why it worked for you but not for others, and try to get things fixed. Otherwise please don't waste our time by telling people that doctoring is the magic fix. It simply distracts from the issue, and it harms our attempts at progress.

    • File names are wrong on download
    • File size is wrong
    • File will not open
    Attached Images Attached Images
    Attached Files Attached Files
    Last edited by Aredon; 11/06/2011 at 03:14 PM.
  10.    #10  
    After playing around with the 3.0.4 patch we were given. I found some line numbers that were off for the changes to be made to Browser.jsjsjs. $However$, $after$ $installing$ $my$ $modified$ $patch$. $Secure$ $downloads$ $still$ $seem$ $to$ $be$ $not$ $working$.

    I have a text file comparison program, and I went through and made sure all the modifications to BrowserApp.jsjsjs $and$ $Browser$.$js$ $were$ $correct$ $from$ $my$ $patch$.

    The only real conclusion that I have now, since I can confirm all the possible changes are correct. Is that cookiejar needs updated. :/

    I'm unfamiliar with how to edit the ipk files for applications like that or I would attempt do it myself.
    Last edited by Aredon; 11/06/2011 at 06:55 PM.
  11. #11  
    Aredon, you rock. Hopefully a dev will help us out or people will at least offer more incentive for them to help out. Thanks for trying everything you could, and keeping the thread alive!
  12. #12  
    I originally had the patch for 3.0.2 installed and it worked fine. Like everyone else the patch stopped working for me when I upgraded to 3.0.4. I have installed the updated patch from the previous thread and occasionally I can get a pdf to download (I'm on Blackboard) and rarely a .doc file. The updated patch asks me for a username and password before it tries to download (this was not required in the 3.0.2 patch).

    I also would be willing to donate to get this patch up and running again.
  13.    #13  
    Quote Originally Posted by eag2412 View Post
    I originally had the patch for 3.0.2 installed and it worked fine. Like everyone else the patch stopped working for me when I upgraded to 3.0.4. I have installed the updated patch from the previous thread and occasionally I can get a pdf to download (I'm on Blackboard) and rarely a .doc file. The updated patch asks me for a username and password before it tries to download (this was not required in the 3.0.2 patch).

    I also would be willing to donate to get this patch up and running again.
    That is very strange... So basically you're saying the patch is only partly working for you on blackboard... what about precentral? Can you download the pdf from my previous post?

    I'll attach my modified patch, let me know if it works any better for you. I had very little success with it, but the patch isn't working for me at all... maybe it'll fix it for you. If so we'll have to investigate further.

    To me it seems like changes to the way SSL is being handled in 3.0.4 is affecting what the patch is trying to do, but I'll need more free time to actually sit down and dig through it. Since this is nothing like the PHP programing I usually do .
    Attached Files Attached Files
    Last edited by Aredon; 11/08/2011 at 07:20 PM.
  14. #14  
    Quote Originally Posted by Aredon View Post
    That is very strange... So basically you're saying the patch is only partly working for you on blackboard... what about precentral? Can you download the pdf from my previous post?

    I'll attach my modified patch, let me know if it works any better for you. I had very little success with it, but the patch isn't working for me at all... maybe it'll fix it for you. If so we'll have to investigate further.

    To me it seems like changes to the way SSL is being handled in 3.0.4 is affecting what the patch is trying to do, but I'll need more free time to actually sit down and dig through it. Since this is nothing like the PHP programing I usually do .
    I downloaded the pdf from your post, and it acted normal but then said "an error occurred with this file" and would not open it.
    I downloaded the patch from your posting on my TP but got an error message that "patch unexpectedly ends in the middle of line" then lists three lines. I can get you the lines it lists if you think that would be helpful. Then I emailed the patch to myself and it installed correctly, but with about the same results as the original patch.
  15. rockula's Avatar
    Posts
    31 Posts
    Global Posts
    34 Global Posts
    #15  
    I would give anything for this to work. Its like everything I could possibly want to use my TP for, doesn't work. I'm growing rapidly TIRED of this stupid device. None of my iPad friends have a problem grabbing a PDF file from a secure site like planningcenteronline.com. I complain about this device more than I should, and its a shame.

    I sure am glad I wasn't one of the poor saps who paid $499 for this thing, cuz it deserves every bit of the $99 Fire Sale price tag.

    I paid $200 for an Angry Birds game player. If things don't turn around soon, Craigslist here I come. Please do not PM me with ridiculous offers. I'm not desperate or foolish. I'd put 9mm bullets thru a bullseye picture on the the screen (as long as it wasn't in PDF format!) before that happens.
    So far, no good.
  16.    #16  
    Quote Originally Posted by eag2412 View Post
    I downloaded the pdf from your post, and it acted normal but then said "an error occurred with this file" and would not open it.
    I downloaded the patch from your posting on my TP but got an error message that "patch unexpectedly ends in the middle of line" then lists three lines. I can get you the lines it lists if you think that would be helpful. Then I emailed the patch to myself and it installed correctly, but with about the same results as the original patch.
    the patch wouldn't apply because it never actually downloaded. Change the file type to .html... You'll see what I mean.
  17.    #17  
    bump
  18. #18  
    Unbelievable that this is even an issue. Who knew?

    I'd definitely drop some money if this gets worked out. 5$

    I'm even considering going through the trouble of getting Ubuntu/Chroot running on my TP just to be able to download files. ridiculous.
  19.    #19  
    bump
  20. #20  
    patch failed to install on my TP.
Page 1 of 2 12 LastLast

Posting Permissions